<template>
  <vue-multiselect v-model="value"
                   :options="options"
                   label="label"
                   track-by="value"
                   group-values="items"
                   group-label="group"
                   :group-select="allowGroupSelection"
                   :multiple="allowMultipleSelections"
                   :loading />
  <div class="-mtd">
    <rui-field>
      <label><input v-model="allowGroupSelection" type="checkbox"> Allow group selection</label>
    </rui-field>
    <rui-field>
      <label><input v-model="allowMultipleSelections" type="checkbox"> Allow multiple selections (tags)</label>
    </rui-field>
    <rui-field>
      <label><input v-model="loading" type="checkbox"> Loading?</label>
    </rui-field>
  </div>
</template>

<script>
import VueMultiselect from 'vue-multiselect'
import RuiField from '../../../../src/components/Form/Field.vue'

export default {
  components: { RuiField, VueMultiselect },
  data () {
    const options = []
    // Create options groups
    for (let i = 1; i <= 10; i++) {
      const children = []
      // Create child options
      for (let j = 1; j <= 3; j++) { children.push({ value: `${i}_${j}`, label: `Option ${i}.${j}${j === 3 ? ' (disabled)' : ''}`, $isDisabled: j === 3 }) }

      options.push({ group: `Group ${i}`, items: children })
    }
    return {
      options,
      value: '',
      allowGroupSelection: true,
      allowMultipleSelections: true,
      loading: false,
    }
  },
}
</script>
